Skip to main content
`Ctrl`+`K`

# SNESNewtonALComputeFunction

Calls the function that has been set with `SNESNewtonALSetFunction()`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonALComputeFunction(SNES snes, Vec X, Vec Q)

Collective

## Input Parameters

- snes - the `SNES` context

- X - input vector

## Output Parameter

- Q - tangent load vector, as set by `SNESNewtonALSetFunction()`

## Note

`SNESNewtonALComputeFunction()` is typically used within nonlinear solvers implementations, so users would not generally call this routine themselves.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNewtonALSetFunction()`, `SNESNewtonALGetFunction()`

## Level

developer

## Location

src/snes/impls/al/al.c

## Implementations

SNESNewtonALComputeFunction_NEWTONAL() in src/snes/impls/al/al.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages